# ncurses 6.0 - patch 20170114 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 can be found at
# 	ftp://invisible-island.net/ncurses/6.0
#	http://invisible-mirror.net/archives/ncurses/6.0 
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/6.0/ncurses-6.0-20170114.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Jan 15 01:42:56 UTC 2017
# ------------------------------------------------------------------------------
# NEWS                                  |   10 +++++++-
# VERSION                               |    2 -
# dist.mk                               |    4 +--
# doc/html/man/adacurses6-config.1.html |    2 -
# doc/html/man/captoinfo.1m.html        |    2 -
# doc/html/man/clear.1.html             |    2 -
# doc/html/man/curs_trace.3x.html       |   27 +++++++++++++++++++++-
# doc/html/man/form.3x.html             |    2 -
# doc/html/man/infocmp.1m.html          |   14 +++++++----
# doc/html/man/infotocap.1m.html        |    2 -
# doc/html/man/menu.3x.html             |    2 -
# doc/html/man/ncurses.3x.html          |    2 -
# doc/html/man/ncurses6-config.1.html   |    2 -
# doc/html/man/panel.3x.html            |    2 -
# doc/html/man/tabs.1.html              |    2 -
# doc/html/man/terminfo.5.html          |    2 -
# doc/html/man/tic.1m.html              |   20 +++++++++-------
# doc/html/man/toe.1m.html              |   19 +++++++++-------
# doc/html/man/tput.1.html              |    8 ++----
# doc/html/man/tset.1.html              |   38 ++++++++++++++++++++++----------
# man/curs_trace.3x                     |   21 ++++++++++++++++-
# man/infocmp.1m                        |    9 +++++--
# man/manhtml.aliases                   |   29 +++++++++++++++++++++++-
# man/tic.1m                            |    6 +++--
# man/toe.1m                            |    6 +++--
# man/tput.1                            |    5 ----
# man/tset.1                            |   30 +++++++++++++++++++++----
# ncurses/curses.priv.h                 |    3 +-
# ncurses/tinfo/lib_data.c              |    3 +-
# ncurses/trace/lib_trace.c             |    8 ++++--
# package/debian-mingw/changelog        |    4 +--
# package/debian-mingw64/changelog      |    4 +--
# package/debian/changelog              |    4 +--
# package/mingw-ncurses.nsi             |    4 +--
# package/mingw-ncurses.spec            |    2 -
# package/ncurses.spec                  |    2 -
# 36 files changed, 217 insertions(+), 87 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2732 
--- ncurses-6.0-20170107+/NEWS	2017-01-07 22:49:11.000000000 +0000
+++ ncurses-6.0-20170114/NEWS	2017-01-14 20:59:06.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2732 2017/01/07 22:49:11 tom Exp $
+-- $Id: NEWS,v 1.2735 2017/01/14 20:59:06 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,14 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20170114
+	+ improve discussion of early history of tset/reset programs.
+	+ clarify in manual pages that the optional verbose option level is
+	  available only when ncurses is configured for tracing.
+	+ amend change from 20161231 to avoid writing traces to the standard
+	  error after initializing the trace feature using the environment
+	  variable.
+
 20170107
 	+ amend changes for tput to reset tty modes to "sane" if the program
 	  is run as "reset", like tset.  Likewise, ensure that tset sends
Index: VERSION
--- ncurses-6.0-20170107+/VERSION	2017-01-07 15:27:12.000000000 +0000
+++ ncurses-6.0-20170114/VERSION	2017-01-14 15:30:30.000000000 +0000
@@ -1 +1 @@
-5:0:9	6.0	20170107
+5:0:9	6.0	20170114
Index: dist.mk
Prereq:  1.1141 
--- ncurses-6.0-20170107+/dist.mk	2017-01-07 15:27:12.000000000 +0000
+++ ncurses-6.0-20170114/dist.mk	2017-01-14 15:30:30.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1141 2017/01/07 15:27:12 tom Exp $
+# $Id: dist.mk,v 1.1142 2017/01/14 15:30:30 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 0
-NCURSES_PATCH = 20170107
+NCURSES_PATCH = 20170114
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: doc/html/man/adacurses6-config.1.html
--- ncurses-6.0-20170107+/doc/html/man/adacurses6-config.1.html	2017-01-07 20:05:39.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/adacurses6-config.1.html	2017-01-14 22:55:32.000000000 +0000
@@ -131,7 +131,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
 
 
Index: doc/html/man/captoinfo.1m.html
--- ncurses-6.0-20170107+/doc/html/man/captoinfo.1m.html	2017-01-07 20:05:39.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/captoinfo.1m.html	2017-01-14 22:55:32.000000000 +0000
@@ -198,7 +198,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/clear.1.html
--- ncurses-6.0-20170107+/doc/html/man/clear.1.html	2017-01-07 20:05:39.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/clear.1.html	2017-01-14 22:55:32.000000000 +0000
@@ -147,7 +147,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="tput.1.html">tput(1)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
 
 
Index: doc/html/man/curs_trace.3x.html
--- ncurses-6.0-20170107+/doc/html/man/curs_trace.3x.html	2017-01-07 20:43:27.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/curs_trace.3x.html	2017-01-14 22:55:35.000000000 +0000
@@ -26,7 +26,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: curs_trace.3x,v 1.17 2017/01/07 18:45:42 tom Exp @
+  * @Id: curs_trace.3x,v 1.18 2017/01/14 19:46:40 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -182,6 +182,30 @@
            use_env, use_extended_names, use_tioctl
 
 
+</PRE><H3><a name="h3-Command-line-Utilities">Command-line Utilities</a></H3><PRE>
+       The command-line utilities such as <STRONG><A HREF="tic.1m.html">tic(1)</A></STRONG> provide  a  ver-
+       bose  option which extends the set of messages written us-
+       ing the <STRONG>trace</STRONG> function.  Both of these (<STRONG>-v</STRONG> and <STRONG>trace</STRONG>)  use
+       the same variable (<STRONG>_nc_tracing</STRONG>), which determines the mes-
+       sages which are written.
+
+       Because the command-line utilities may call initialization
+       functions   such  as  <STRONG>setupterm</STRONG>,  <STRONG>tgetent</STRONG>  or  <STRONG>use_extend-</STRONG>
+       <STRONG>ed_names</STRONG>, some of their debugging output may  be  directed
+       to  the  <EM>trace</EM> file if the <STRONG>NCURSES_TRACE</STRONG> environment vari-
+       able is set:
+
+       <STRONG>o</STRONG>   messages produced in the utility are  written  to  the
+           standard error.
+
+       <STRONG>o</STRONG>   messages  produced by the underlying library are writ-
+           ten to <EM>trace</EM>.
+
+       If ncurses is built without tracing, none  of  the  latter
+       are  produced,  and  fewer diagnostics are provided by the
+       command-line utilities.
+
+
 </PRE><H2><a name="h2-RETURN-VALUE">RETURN VALUE</a></H2><PRE>
        Routines which return a value are designed to be  used  as
        parameters to the <STRONG>_tracef</STRONG> routine.
@@ -215,6 +239,7 @@
 <li><a href="#h3-Functions">Functions</a></li>
 <li><a href="#h3-Trace-Parameter">Trace Parameter</a></li>
 <li><a href="#h3-Initialization">Initialization</a></li>
+<li><a href="#h3-Command-line-Utilities">Command-line Utilities</a></li>
 </ul>
 </li>
 <li><a href="#h2-RETURN-VALUE">RETURN VALUE</a></li>
Index: doc/html/man/form.3x.html
--- ncurses-6.0-20170107+/doc/html/man/form.3x.html	2017-01-07 20:05:41.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/form.3x.html	2017-01-14 22:55:35.000000000 +0000
@@ -239,7 +239,7 @@
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG> and related pages whose names begin "form_" for
        detailed descriptions of the entry points.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
 
 
Index: doc/html/man/infocmp.1m.html
--- ncurses-6.0-20170107+/doc/html/man/infocmp.1m.html	2017-01-07 20:05:42.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/infocmp.1m.html	2017-01-14 22:55:36.000000000 +0000
@@ -1,7 +1,7 @@
 <!-- 
   * t
   ****************************************************************************
-  * Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
+  * Copyright (c) 1998-2016,2017 Free Software Foundation, Inc.              *
   *                                                                          *
   * Permission is hereby granted, free of charge, to any person obtaining a  *
   * copy of this software and associated documentation files (the            *
@@ -27,7 +27,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: infocmp.1m,v 1.59 2016/10/22 19:54:35 tom Exp @
+  * @Id: infocmp.1m,v 1.60 2017/01/14 19:55:27 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -438,8 +438,12 @@
             program, and exits.
 
        <STRONG>-v</STRONG> <EM>n</EM> prints out tracing information on standard  error  as
-            the  program runs.  Higher values of n induce greater
-            verbosity.
+            the program runs.
+
+            The  optional  parameter  <EM>n</EM> is a number from 1 to 10,
+            inclusive, indicating the desired level of detail  of
+            information.   If  ncurses  is  built without tracing
+            support, the optional parameter is ignored.
 
        <STRONG>-W</STRONG>   By itself, the <STRONG>-w</STRONG> option will not force long  strings
             to be wrapped.  Use the <STRONG>-W</STRONG> option to do this.
@@ -478,7 +482,7 @@
 
        http://invisible-island.net/ncurses/tctest.html
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/infotocap.1m.html
--- ncurses-6.0-20170107+/doc/html/man/infotocap.1m.html	2017-01-07 20:05:42.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/infotocap.1m.html	2017-01-14 22:55:36.000000000 +0000
@@ -88,7 +88,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>, <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/menu.3x.html
--- ncurses-6.0-20170107+/doc/html/man/menu.3x.html	2017-01-07 20:05:42.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/menu.3x.html	2017-01-14 22:55:36.000000000 +0000
@@ -217,7 +217,7 @@
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG> and related pages whose names begin "menu_" for
        detailed descriptions of the entry points.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
 
 
Index: doc/html/man/ncurses.3x.html
--- ncurses-6.0-20170107+/doc/html/man/ncurses.3x.html	2017-01-07 20:43:29.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/ncurses.3x.html	2017-01-14 22:55:37.000000000 +0000
@@ -60,7 +60,7 @@
        sonable optimization.  This implementation is "new curses"
        (ncurses) and is the approved replacement for 4.4BSD clas-
        sic  curses,  which has been discontinued.  This describes
-       <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
        The <STRONG>ncurses</STRONG> library emulates the curses library of  System
        V  Release  4  UNIX,  and  XPG4 (X/Open Portability Guide)
Index: doc/html/man/ncurses6-config.1.html
--- ncurses-6.0-20170107+/doc/html/man/ncurses6-config.1.html	2017-01-07 20:05:43.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/ncurses6-config.1.html	2017-01-14 22:55:37.000000000 +0000
@@ -114,7 +114,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
 
 
Index: doc/html/man/panel.3x.html
--- ncurses-6.0-20170107+/doc/html/man/panel.3x.html	2017-01-07 20:05:43.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/panel.3x.html	2017-01-14 22:55:37.000000000 +0000
@@ -208,7 +208,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="curs_variables.3x.html">curs_variables(3x)</A></STRONG>,
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/tabs.1.html
--- ncurses-6.0-20170107+/doc/html/man/tabs.1.html	2017-01-07 20:05:43.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/tabs.1.html	2017-01-14 22:55:37.000000000 +0000
@@ -170,7 +170,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="tset.1.html">tset(1)</A></STRONG>, <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
 
 
Index: doc/html/man/terminfo.5.html
--- ncurses-6.0-20170107+/doc/html/man/terminfo.5.html	2017-01-07 20:43:30.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/terminfo.5.html	2017-01-14 22:55:37.000000000 +0000
@@ -75,7 +75,7 @@
        nals by giving a set of capabilities which they  have,  by
        specifying how to perform screen operations, and by speci-
        fying padding requirements and  initialization  sequences.
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
        Entries in <EM>terminfo</EM> consist of a sequence of `,' separated
        fields (embedded commas may be escaped with a backslash or
Index: doc/html/man/tic.1m.html
--- ncurses-6.0-20170107+/doc/html/man/tic.1m.html	2017-01-07 20:05:43.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/tic.1m.html	2017-01-14 22:55:37.000000000 +0000
@@ -1,6 +1,6 @@
 <!-- 
   ****************************************************************************
-  * Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
+  * Copyright (c) 1998-2016,2017 Free Software Foundation, Inc.              *
   *                                                                          *
   * Permission is hereby granted, free of charge, to any person obtaining a  *
   * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: tic.1m,v 1.62 2016/10/01 17:14:50 tom Exp @
+  * @Id: tic.1m,v 1.63 2017/01/14 19:50:09 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -277,12 +277,14 @@
             program, and exits.
 
        <STRONG>-v</STRONG><EM>n</EM>  specifies  that  (verbose) output be written to stan-
-            dard error trace information showing <STRONG>tic</STRONG>'s  progress.
-            The  optional  parameter  <EM>n</EM> is a number from 1 to 10,
-            inclusive, indicating the desired level of detail  of
-            information.   If  <EM>n</EM> is omitted, the default level is
-            1.  If <EM>n</EM> is specified and greater than 1,  the  level
-            of detail is increased.
+            dard error trace information showing <STRONG>tic</STRONG>'s progress.
+
+            The optional parameter <EM>n</EM> is a number from  1  to  10,
+            inclusive,  indicating the desired level of detail of
+            information.  If ncurses  is  built  without  tracing
+            support,  the optional parameter is ignored.  If <EM>n</EM> is
+            omitted, the default level is 1.  If <EM>n</EM>  is  specified
+            and greater than 1, the level of detail is increased.
 
             The debug flag levels are as follows:
 
@@ -401,7 +403,7 @@
        <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>,   <STRONG><A HREF="captoinfo.1m.html">captoinfo(1m)</A></STRONG>,   <STRONG><A HREF="infotocap.1m.html">infotocap(1m)</A></STRONG>,    <STRONG><A HREF="toe.1m.html">toe(1m)</A></STRONG>,
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="term.5.html">term(5)</A></STRONG>.  <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/toe.1m.html
--- ncurses-6.0-20170107+/doc/html/man/toe.1m.html	2017-01-07 20:05:43.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/toe.1m.html	2017-01-14 22:55:37.000000000 +0000
@@ -1,6 +1,6 @@
 <!-- 
   ****************************************************************************
-  * Copyright (c) 1998-2011,2015 Free Software Foundation, Inc.              *
+  * Copyright (c) 1998-2015,2017 Free Software Foundation, Inc.              *
   *                                                                          *
   * Permission is hereby granted, free of charge, to any person obtaining a  *
   * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: toe.1m,v 1.27 2015/08/29 22:04:48 tom Exp @
+  * @Id: toe.1m,v 1.28 2017/01/14 19:55:36 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -100,11 +100,14 @@
               depend on it, followed by a newline.
 
        <STRONG>-v</STRONG><EM>n</EM>    specifies that (verbose) output be written to stan-
-              dard  error,  showing <STRONG>toe</STRONG>'s progress.  The optional
-              parameter <EM>n</EM> is a number from 1 to  10,  interpreted
-              as for <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>.
+              dard error, showing <STRONG>toe</STRONG>'s progress.
 
-       <STRONG>-V</STRONG>     reports  the  version  of ncurses which was used in
+              The  optional parameter <EM>n</EM> is a number from 1 to 10,
+              interpreted as for <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>.  If  ncurses  is  built
+              without  tracing support, the optional parameter is
+              ignored.
+
+       <STRONG>-V</STRONG>     reports the version of ncurses which  was  used  in
               this program, and exits.
 
 
@@ -114,10 +117,10 @@
 
 
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
-       <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>,   <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>,   <STRONG><A HREF="captoinfo.1m.html">captoinfo(1m)</A></STRONG>,    <STRONG><A HREF="infotocap.1m.html">infotocap(1m)</A></STRONG>,
+       <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>,    <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>,   <STRONG><A HREF="captoinfo.1m.html">captoinfo(1m)</A></STRONG>,   <STRONG><A HREF="infotocap.1m.html">infotocap(1m)</A></STRONG>,
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
 
 
Index: doc/html/man/tput.1.html
--- ncurses-6.0-20170107+/doc/html/man/tput.1.html	2017-01-07 23:09:13.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/tput.1.html	2017-01-14 22:55:37.000000000 +0000
@@ -27,7 +27,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: tput.1,v 1.50 2017/01/07 23:03:28 tom Exp @
+  * @Id: tput.1,v 1.51 2017/01/14 20:49:40 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -394,9 +394,7 @@
        AT&amp;T  System  V  provided  a different <STRONG>tput</STRONG> command, whose
        <STRONG>init</STRONG> and <STRONG>reset</STRONG>  subcommands (more than half  the  program)
        were incorporated from the <STRONG>reset</STRONG> feature of BSD <STRONG>tset</STRONG> writ-
-       ten by Eric Allman.  Later the corresponding  source  code
-       for  <EM>reset</EM>  was  removed  from the BSD <STRONG>tset</STRONG> (in June 1993,
-       released in 4.4BSD-Lite a year later).
+       ten by Eric Allman.
 
        Keith Bostic replaced the BSD <STRONG>tput</STRONG> command in 1989 with  a
        new  implementation  based  on  the  AT&amp;T System V program
@@ -500,7 +498,7 @@
        <STRONG><A HREF="clear.1.html">clear(1)</A></STRONG>,    <STRONG>stty(1)</STRONG>,   <STRONG><A HREF="tabs.1.html">tabs(1)</A></STRONG>,   <STRONG><A HREF="tset.1.html">tset(1)</A></STRONG>,   <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>,
        <STRONG><A HREF="curs_termcap.3x.html">curs_termcap(3x)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
 
 
Index: doc/html/man/tset.1.html
--- ncurses-6.0-20170107+/doc/html/man/tset.1.html	2017-01-07 23:09:13.000000000 +0000
+++ ncurses-6.0-20170114/doc/html/man/tset.1.html	2017-01-14 22:55:37.000000000 +0000
@@ -26,7 +26,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: tset.1,v 1.47 2017/01/07 22:59:51 tom Exp @
+  * @Id: tset.1,v 1.48 2017/01/14 20:55:07 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -285,18 +285,34 @@
 
 
 </PRE><H2><a name="h2-HISTORY">HISTORY</a></H2><PRE>
-       A  <STRONG>reset</STRONG>  command appeared in 2BSD (1979), written by Kurt
-       Shoens.
+       A  <STRONG>reset</STRONG> command appeared in 2BSD (April 1979), written by
+       Kurt Shoens.  This program set the <EM>erase</EM> and <EM>kill</EM>  charac-
+       ters  to  <STRONG>^H</STRONG>  (backspace) and <STRONG>@</STRONG> respectively.  Mark Horton
+       improved that in 3BSD (October 1979), adding  <EM>intr</EM>,  <EM>quit</EM>,
+       <EM>start</EM>/<EM>stop</EM> and <EM>eof</EM> characters as well as changing the pro-
+       gram to avoid modifying any user settings.
+
+       Later in 4.1BSD (December 1980), Mark Horton added a  call
+       to  the  <STRONG>tset</STRONG>  program  using the <STRONG>-I</STRONG> and <STRONG>-Q</STRONG> options, i.e.,
+       using that to improve  the  terminal  modes.   With  those
+       options,  that  version  of  <STRONG>reset</STRONG> did not use the termcap
+       database.
 
        A separate <STRONG>tset</STRONG> command was provided in 2BSD by Eric  All-
        man.   While  the oldest published source (from 1979) pro-
-       vides both programs, Allman's comments in the 2BSD  source
-       code indicate that he began work in October 1977, continu-
-       ing development over the next few years.
-
-       In September 1980, Eric Allman modified <STRONG>tset</STRONG> to provide  a
-       "reset"  feature  when  the  program was invoked as <STRONG>reset</STRONG>.
-       This version appeared in 4.1cBSD, late in 1982.
+       vides both <STRONG>tset</STRONG> and <STRONG>reset</STRONG>, Allman's comments in  the  2BSD
+       source  code  indicate that he began work in October 1977,
+       continuing development over the next few years.
+
+       In September 1980, Eric Allman modified <STRONG>tset</STRONG>,  adding  the
+       code  from  the  existing  "reset"  feature  when <STRONG>tset</STRONG> was
+       invoked as <STRONG>reset</STRONG>.  Rather than simply copying the existing
+       program,  in  this  merged  version, <STRONG>tset</STRONG> used the termcap
+       database to do additional (re)initialization of the termi-
+       nal.  This version appeared in 4.1cBSD, late in 1982.
+
+       Other  developers  (e.g., Keith Bostic and Jim Bloom) con-
+       tinued to modify <STRONG>tset</STRONG> until 4.4BSD was released in 1993.
 
        The <STRONG>ncurses</STRONG> implementation was lightly  adapted  from  the
        4.4BSD  sources for a terminfo environment by Eric S. Ray-
@@ -419,7 +435,7 @@
        <STRONG>csh(1)</STRONG>,   <STRONG>sh(1)</STRONG>,   <STRONG>stty(1)</STRONG>,   <STRONG><A HREF="curs_terminfo.3x.html">curs_terminfo(3x)</A></STRONG>,   <STRONG>tty(4)</STRONG>,
        <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>, <STRONG>ttys(5)</STRONG>, <STRONG>environ(7)</STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170107).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170114).
 
 
 
Index: man/curs_trace.3x
Prereq:  1.17 
--- ncurses-6.0-20170107+/man/curs_trace.3x	2017-01-07 18:45:42.000000000 +0000
+++ ncurses-6.0-20170114/man/curs_trace.3x	2017-01-14 19:46:40.000000000 +0000
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_trace.3x,v 1.17 2017/01/07 18:45:42 tom Exp $
+.\" $Id: curs_trace.3x,v 1.18 2017/01/14 19:46:40 tom Exp $
 .de bP
 .IP \(bu 4
 ..
@@ -190,6 +190,25 @@
 .hy
 .ad
 .RE
+.SS Command-line Utilities
+.PP
+The command-line utilities such as \fBtic\fP(1) provide a verbose option
+which extends the set of messages written using the \fBtrace\fP function.
+Both of these (\fB\-v\fP and \fBtrace\fP)
+use the same variable (\fB_nc_tracing\fP),
+which determines the messages which are written.
+.PP
+Because the command-line utilities may call initialization functions
+such as \fBsetupterm\fP, \fBtgetent\fP or \fBuse_extended_names\fP,
+some of their debugging output may be directed to the \fItrace\fP file
+if the \fBNCURSES_TRACE\fP environment variable is set:
+.bP
+messages produced in the utility are written to the standard error.
+.bP
+messages produced by the underlying library are written to \fItrace\fP.
+.PP
+If ncurses is built without tracing, none of the latter are produced,
+and fewer diagnostics are provided by the command-line utilities.
 .SH RETURN VALUE
 Routines which return a value are designed to be used as parameters
 to the \fB_tracef\fR routine.
Index: man/infocmp.1m
Prereq:  1.59 
--- ncurses-6.0-20170107+/man/infocmp.1m	2016-10-22 19:54:35.000000000 +0000
+++ ncurses-6.0-20170114/man/infocmp.1m	2017-01-14 19:55:27.000000000 +0000
@@ -1,6 +1,6 @@
 '\" t
 .\"***************************************************************************
-.\" Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2016,2017 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: infocmp.1m,v 1.59 2016/10/22 19:54:35 tom Exp $
+.\" $Id: infocmp.1m,v 1.60 2017/01/14 19:55:27 tom Exp $
 .TH @INFOCMP@ 1M ""
 .ds n 5
 .de bP
@@ -476,7 +476,10 @@
 .TP 5
 \fB\-v\fR \fIn\fR
 prints out tracing information on standard error as the program runs.
-Higher values of n induce greater verbosity.
+.IP
+The optional parameter \fIn\fR is a number from 1 to 10, inclusive,
+indicating the desired level of detail of information.
+If ncurses is built without tracing support, the optional parameter is ignored.
 .TP
 \fB\-W\fR
 By itself, the \fB\-w\fP option will not force long strings to be wrapped.
Index: man/manhtml.aliases
Prereq:  1.5 
--- ncurses-6.0-20170107+/man/manhtml.aliases	2017-01-07 20:28:43.000000000 +0000
+++ ncurses-6.0-20170114/man/manhtml.aliases	2017-01-14 19:57:16.000000000 +0000
@@ -1,4 +1,31 @@
-# $Id: manhtml.aliases,v 1.5 2017/01/07 20:28:43 tom Exp $
+# $Id: manhtml.aliases,v 1.6 2017/01/14 19:57:16 tom Exp $
+#***************************************************************************
+# Copyright (c) 2013-2016,2017 Free Software Foundation, Inc.              *
+#                                                                          *
+# Permission is hereby granted, free of charge, to any person obtaining a  *
+# copy of this software and associated documentation files (the            *
+# "Software"), to deal in the Software without restriction, including      *
+# without limitation the rights to use, copy, modify, merge, publish,      *
+# distribute, distribute with modifications, sublicense, and/or sell       *
+# copies of the Software, and to permit persons to whom the Software is    *
+# furnished to do so, subject to the following conditions:                 *
+#                                                                          *
+# The above copyright notice and this permission notice shall be included  *
+# in all copies or substantial portions of the Software.                   *
+#                                                                          *
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
+# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
+# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
+# IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
+# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
+# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
+# THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
+#                                                                          *
+# Except as contained in this notice, the name(s) of the above copyright   *
+# holders shall not be used in advertising or otherwise to promote the     *
+# sale, use or other dealings in this Software without prior written       *
+# authorization.                                                           *
+#***************************************************************************
 # Items in this list will be linked to the corresponding manpages by man2html
 addch(3X)		curs_addch(3X)
 delscreen(3X)		curs_initscr(3X)
Index: man/tic.1m
Prereq:  1.62 
--- ncurses-6.0-20170107+/man/tic.1m	2016-10-01 17:14:50.000000000 +0000
+++ ncurses-6.0-20170114/man/tic.1m	2017-01-14 19:50:09.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2016,2017 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: tic.1m,v 1.62 2016/10/01 17:14:50 tom Exp $
+.\" $Id: tic.1m,v 1.63 2017/01/14 19:50:09 tom Exp $
 .TH @TIC@ 1M ""
 .ie \n(.g .ds `` \(lq
 .el       .ds `` ``
@@ -307,8 +307,10 @@
 \fB\-v\fR\fIn\fR
 specifies that (verbose) output be written to standard error trace
 information showing \fB@TIC@\fR's progress.
+.IP
 The optional parameter \fIn\fR is a number from 1 to 10, inclusive,
 indicating the desired level of detail of information.
+If ncurses is built without tracing support, the optional parameter is ignored.
 If \fIn\fR is omitted, the default level is 1.
 If \fIn\fR is specified and greater than 1, the level of
 detail is increased.
Index: man/toe.1m
Prereq:  1.27 
--- ncurses-6.0-20170107+/man/toe.1m	2015-08-29 22:04:48.000000000 +0000
+++ ncurses-6.0-20170114/man/toe.1m	2017-01-14 19:55:36.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2011,2015 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2015,2017 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: toe.1m,v 1.27 2015/08/29 22:04:48 tom Exp $
+.\" $Id: toe.1m,v 1.28 2017/01/14 19:55:36 tom Exp $
 .TH @TOE@ 1M ""
 .ds n 5
 .ds d @TERMINFO@
@@ -91,8 +91,10 @@
 \fB\-v\fR\fIn\fR
 specifies that (verbose) output be written to standard error,
 showing \fB@TOE@\fR's progress.
+.IP
 The optional parameter \fIn\fR is a number from 1 to 10,
 interpreted as for \fB@TIC@\fR(1M).
+If ncurses is built without tracing support, the optional parameter is ignored.
 .TP
 \fB\-V\fR
 reports the version of ncurses which was used in this program,
Index: man/tput.1
Prereq:  1.50 
--- ncurses-6.0-20170107+/man/tput.1	2017-01-07 23:03:28.000000000 +0000
+++ ncurses-6.0-20170114/man/tput.1	2017-01-14 20:49:40.000000000 +0000
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: tput.1,v 1.50 2017/01/07 23:03:28 tom Exp $
+.\" $Id: tput.1,v 1.51 2017/01/14 20:49:40 tom Exp $
 .TH @TPUT@ 1 ""
 .ds d @TERMINFO@
 .ds n 1
@@ -401,9 +401,6 @@
 whose \fBinit\fP and \fBreset\fP  subcommands
 (more than half the program) were incorporated from
 the \fBreset\fP feature of BSD \fBtset\fP written by Eric Allman.
-Later the corresponding source code for \fIreset\fP
-was removed from the BSD \fBtset\fP
-(in June 1993, released in 4.4BSD-Lite a year later).
 .PP
 Keith Bostic replaced the BSD \fBtput\fP command in 1989 with a new implementation
 based on the AT&T System V program \fBtput\fP.
Index: man/tset.1
Prereq:  1.47 
--- ncurses-6.0-20170107+/man/tset.1	2017-01-07 22:59:51.000000000 +0000
+++ ncurses-6.0-20170114/man/tset.1	2017-01-14 20:55:07.000000000 +0000
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: tset.1,v 1.47 2017/01/07 22:59:51 tom Exp $
+.\" $Id: tset.1,v 1.48 2017/01/14 20:55:07 tom Exp $
 .TH @TSET@ 1 ""
 .ie \n(.g .ds `` \(lq
 .el       .ds `` ``
@@ -274,18 +274,38 @@
 any exclamation marks (\*(``!\*('').
 .SH HISTORY
 .PP
-A \fBreset\fP command appeared in 2BSD (1979), written by Kurt Shoens.
+A \fBreset\fP command appeared in 2BSD (April 1979), written by Kurt Shoens.
+This program set the \fIerase\fP and \fIkill\fP characters
+to \fB^H\fP (backspace) and \fB@\fP respectively.
+Mark Horton improved that in 3BSD (October 1979), adding
+\fIintr\fP, \fIquit\fP, \fIstart\fP/\fIstop\fP and \fIeof\fP characters
+as well as changing the program to avoid modifying any user settings.
+.PP
+Later in 4.1BSD (December 1980),
+Mark Horton added a call to the \fBtset\fP program
+using the \fB\-I\fP and \fB\-Q\fP options, i.e.,
+using that to improve the terminal modes.
+With those options,
+that version of \fBreset\fP did not use the termcap database.
 .PP
 A separate \fBtset\fP command was provided in 2BSD by Eric Allman.
-While the oldest published source (from 1979) provides both programs,
+While the oldest published source (from 1979)
+provides both \fBtset\fP and \fBreset\fP,
 Allman's comments in the 2BSD source code indicate
 that he began work in October 1977,
 continuing development over the next few years.
 .PP
-In September 1980, Eric Allman modified \fBtset\fP to provide a \*(lqreset\*(rq
-feature when the program was invoked as \fBreset\fP.
+In September 1980, Eric Allman modified \fBtset\fP,
+adding the code from the existing \*(lqreset\*(rq
+feature when \fBtset\fP was invoked as \fBreset\fP.
+Rather than simply copying the existing program,
+in this merged version, \fBtset\fP used the termcap database
+to do additional (re)initialization of the terminal.
 This version appeared in 4.1cBSD, late in 1982.
 .PP
+Other developers (e.g., Keith Bostic and Jim Bloom)
+continued to modify \fBtset\fP until 4.4BSD was released in 1993.
+.PP
 The \fBncurses\fR implementation
 was lightly adapted from the 4.4BSD sources for a terminfo environment by Eric
 S. Raymond <esr@snark.thyrsus.com>.
Index: ncurses/curses.priv.h
Prereq:  1.557 
--- ncurses-6.0-20170107+/ncurses/curses.priv.h	2017-01-07 19:45:37.000000000 +0000
+++ ncurses-6.0-20170114/ncurses/curses.priv.h	2017-01-14 17:52:49.000000000 +0000
@@ -34,7 +34,7 @@
  ****************************************************************************/
 
 /*
- * $Id: curses.priv.h,v 1.557 2017/01/07 19:45:37 tom Exp $
+ * $Id: curses.priv.h,v 1.558 2017/01/14 17:52:49 tom Exp $
  *
  *	curses.priv.h
  *
@@ -901,6 +901,7 @@
 #endif
 
 #ifdef TRACE
+	bool		trace_opened;
 	char		trace_fname[PATH_MAX];
 	int		trace_level;
 	FILE		*trace_fp;
Index: ncurses/tinfo/lib_data.c
Prereq:  1.69 
--- ncurses-6.0-20170107+/ncurses/tinfo/lib_data.c	2017-01-07 19:51:37.000000000 +0000
+++ ncurses-6.0-20170114/ncurses/tinfo/lib_data.c	2017-01-14 17:52:32.000000000 +0000
@@ -42,7 +42,7 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: lib_data.c,v 1.69 2017/01/07 19:51:37 tom Exp $")
+MODULE_ID("$Id: lib_data.c,v 1.70 2017/01/14 17:52:32 tom Exp $")
 
 /*
  * OS/2's native linker complains if we don't initialize public data when
@@ -168,6 +168,7 @@
 #endif
 
 #ifdef TRACE
+    FALSE,			/* trace_opened */
     CHARS_0s,			/* trace_fname */
     0,				/* trace_level */
     NULL,			/* trace_fp */
Index: ncurses/trace/lib_trace.c
Prereq:  1.85 
--- ncurses-6.0-20170107+/ncurses/trace/lib_trace.c	2016-12-31 13:50:06.000000000 +0000
+++ ncurses-6.0-20170114/ncurses/trace/lib_trace.c	2017-01-14 17:53:42.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2013,2016 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2016,2017 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -47,7 +47,7 @@
 
 #include <ctype.h>
 
-MODULE_ID("$Id: lib_trace.c,v 1.85 2016/12/31 13:50:06 tom Exp $")
+MODULE_ID("$Id: lib_trace.c,v 1.86 2017/01/14 17:53:42 tom Exp $")
 
 NCURSES_EXPORT_VAR(unsigned) _nc_tracing = 0; /* always define this */
 
@@ -87,6 +87,7 @@
 
 #define MyFP		_nc_globals.trace_fp
 #define MyFD		_nc_globals.trace_fd
+#define MyInit		_nc_globals.trace_opened
 #define MyPath		_nc_globals.trace_fname
 #define MyLevel		_nc_globals.trace_level
 #define MyNested	_nc_globals.nested_tracef
@@ -95,6 +96,7 @@
 trace(const unsigned int tracelevel)
 {
     if ((MyFP == 0) && tracelevel) {
+	MyInit = TRUE;
 	if (MyFD >= 0) {
 	    MyFP = fdopen(MyFD, "wb");
 	} else {
@@ -160,7 +162,7 @@
 
 #ifdef TRACE
     /* verbose-trace in the command-line utilities relies on this */
-    if (fp == 0 && _nc_tracing >= DEBUG_LEVEL(1))
+    if (fp == 0 && !MyInit && _nc_tracing >= DEBUG_LEVEL(1))
 	fp = stderr;
 #endif
 
Index: package/debian-mingw/changelog
--- ncurses-6.0-20170107+/package/debian-mingw/changelog	2017-01-07 15:27:12.000000000 +0000
+++ ncurses-6.0-20170114/package/debian-mingw/changelog	2017-01-14 15:30:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20170107) unstable; urgency=low
+ncurses6 (6.0+20170114) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 07 Jan 2017 10:27:12 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 14 Jan 2017 10:30:30 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20170107+/package/debian-mingw64/changelog	2017-01-07 15:27:12.000000000 +0000
+++ ncurses-6.0-20170114/package/debian-mingw64/changelog	2017-01-14 15:30:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20170107) unstable; urgency=low
+ncurses6 (6.0+20170114) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 07 Jan 2017 10:27:12 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 14 Jan 2017 10:30:30 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.0-20170107+/package/debian/changelog	2017-01-07 15:27:12.000000000 +0000
+++ ncurses-6.0-20170114/package/debian/changelog	2017-01-14 15:30:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20170107) unstable; urgency=low
+ncurses6 (6.0+20170114) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 07 Jan 2017 10:27:12 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 14 Jan 2017 10:30:30 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.192 
--- ncurses-6.0-20170107+/package/mingw-ncurses.nsi	2017-01-07 15:27:12.000000000 +0000
+++ ncurses-6.0-20170114/package/mingw-ncurses.nsi	2017-01-14 15:30:30.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.192 2017/01/07 15:27:12 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.193 2017/01/14 15:30:30 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "0"
 !define VERSION_YYYY  "2017"
-!define VERSION_MMDD  "0107"
+!define VERSION_MMDD  "0114"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20170107+/package/mingw-ncurses.spec	2017-01-07 15:27:12.000000000 +0000
+++ ncurses-6.0-20170114/package/mingw-ncurses.spec	2017-01-14 15:30:30.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.0
-Release: 20170107
+Release: 20170114
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.0-20170107+/package/ncurses.spec	2017-01-07 15:27:12.000000000 +0000
+++ ncurses-6.0-20170114/package/ncurses.spec	2017-01-14 15:30:30.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.0
-Release: 20170107
+Release: 20170114
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
